import { AfterContentInit, ElementRef, EventEmitter, OnDestroy, OnInit, QueryList } from '@angular/core';
import { SidebarNavService } from '../sidebar-nav/sidebar-nav.service';
import { SidebarService } from '../sidebar/sidebar.service';
export declare class SidebarNavItemComponent implements AfterContentInit, OnInit, OnDestroy {
    private sidebarNavService;
    private sidebarService;
    /** @prop Title for the side item navigation | '' */
    title: string;
    /** @prop establishes the level - primary, secondary, or tertiary | 'primary' */
    headerLevel: string;
    /** @prop Set navigation expanded or collapsed | false */
    expanded: boolean;
    /** @prop set active class on side item */
    active: boolean;
    /** @prop Icon string or node for the title | null */
    icon: string;
    /** @prop disables the sidebar nav item */
    disabled: boolean;
    /** @prop marks the sidebar nav item as read-only */
    isReadOnly: boolean;
    /** @prop creates a separator line below the sidebar nav item */
    separator: boolean;
    /** @prop optional CSS class for the icon left of sidebar nav item title */
    iconClass: string;
    /** @prop optional CSS class on the sidebar nav item wrapper div */
    className: string;
    navItemRef: ElementRef;
    navItemClick: EventEmitter<any>;
    navItemList: QueryList<SidebarNavItemComponent>;
    navItems: SidebarNavItemComponent[];
    private children;
    private index;
    private nestedFound;
    private subs;
    constructor(sidebarNavService: SidebarNavService, sidebarService: SidebarService);
    ngOnInit(): void;
    ngOnDestroy(): void;
    ngAfterContentInit(): void;
    expandItem(e: any): void;
    getNewIndex({ change, currentIndex, lastIndex }: {
        change: any;
        currentIndex?: number;
        lastIndex?: number;
    }): any;
    onKeyDown(event: KeyboardEvent): void;
}
