import { TemplateRef, ElementRef, OnInit, EventEmitter } from '@angular/core';
export declare class TooltipContainerComponent implements OnInit {
    private elementRef;
    /** @prop Sets text in the tooltip */
    text: string;
    /** @prop Sets a component in the tooltip */
    tooltipTemplate?: TemplateRef<any>;
    /** @prop Sets direction of the tooltip | null */
    direction: string;
    /** @prop Allows tooltip to stay open when you hover over the tooltip | false  */
    allowHover: boolean;
    /** @prop shows the arrow or not */
    showArrow: boolean;
    /** @prop Sets the id for screen reader */
    id: string;
    /** @prop Sets the max-width */
    maxWidth: number;
    mouseLeaveEvent: EventEmitter<{}>;
    mouseEnterEvent: EventEmitter<{}>;
    classList: {
        [key: string]: boolean;
    };
    isTooltip: boolean;
    closeNow(): void;
    stayOpen(): void;
    ngOnInit(): void;
    constructor(elementRef: ElementRef);
}
